//Using nested loops in Homage to the Square
//Inspiration Josef Albers
int SIDE=1000;
float left = 0.1;
float top = 0.15;
size(SIDE,SIDE);       

noStroke();            

int myRed;
int myGreen;
int myBlue;

int i;
int j;

//makes ten images
for(i=0;i<10;i++)
{
  //use loop to deal with each square
  for(j=0;j<4;j++)
  {
    myRed=int(random(0,255));    //select an amount of red at random
    myGreen=int(random(0,255));  //same for green
    myBlue=int(random(0,255));   //same for blue
    fill(myRed,myGreen,myBlue);         
    rect(left*j*SIDE,top*j*SIDE,SIDE*(1-2*left*j),SIDE*(1-2*left*j));   //make outer square
  }
  save("Homage_"+i+".tif");    //save the image file 
}
