//Parametrized and randomized version of Homage to the Square
//Inspiration Josef Albers
int SIDE=1000;     //making the image size a variable
size(SIDE,SIDE);       
noStroke();           

//declare variables for the color components
int myRed;
int myGreen;
int myBlue;

myRed=int(random(0,255));    //select an amount of red at random
myGreen=int(random(0,255));  //same for green
myBlue=int(random(0,255));   //same for blue
fill(myRed,myGreen,myBlue);         
rect(0,0,SIDE,SIDE);   //make outer square

//set the other colors (also randomly) and make the corresponding squares 
myRed=int(random(0,255));
myGreen=int(random(0,255));
myBlue=int(random(0,255));
fill(myRed,myGreen,myBlue);
rect(.1*SIDE,.15*SIDE,.8*SIDE,.8*SIDE);

myRed=int(random(0,255));
myGreen=int(random(0,255));
myBlue=int(random(0,255));
fill(myRed,myGreen,myBlue);
rect(.2*SIDE,.3*SIDE,.60*SIDE,.6*SIDE);

myRed=int(random(0,255));
myGreen=int(random(0,255));
myBlue=int(random(0,255));
fill(myRed,myGreen,myBlue);
rect(.3*SIDE,.45*SIDE,.4*SIDE,.4*SIDE);

save("Homage.tif");    //save the image file 
